# Start UI Trace

Use the following APIs to start a custom UI trace while passing a `string` that defines the name of the trace.

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
APM.startUITrace(withName: "name")
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
[LCQAPM startUITraceWithName:@"name"];
```

{% endtab %}

{% tab title="And - Java" %}

```java
// Start UI Trace
APM.startUITrace("name");
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
// Start UI Trace
APM.startUITrace("name")
```

{% endtab %}

{% tab title="RN" %}

```javascript
APM.startUITrace("name");
```

{% endtab %}

{% tab title="Flutter" %}

```javascript
APM.startUITrace('trace_name');
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/references/application-performance-monitoring/ui-hangs/start-ui-trace.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
